:root {
    --header-height: 3rem;
    --font-semi: 600;
    --font-bold: 700;
}

:root {
    --first-color: #8c67ef;
    --first-color-alt: #6a45cd;
    --white-color: #fafaff;
    --dark-color: #101010;
	--dark-color-light: #606060;
	--dark-color-lighten: #F2F2F2;
    --gray-color: #F0F1F3;
}

:root {
    --body-font: 'Nunito', sans-serif;
    --big-font-size: 1.25rem;
	--bigger-font-size: 1.5rem;
	--biggest-font-size: 2rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: .938rem;
    --small-font-size: .75rem;
}

@media screen and (min-width: 768px){
    :root {    
        --big-font-size: 6rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --normal-font-size: 1rem;
        --small-font-size: .813rem;
    }    
}

:root {
    --mb-1: .5rem;
    --mb-2: 1rem;
    --mb-3: 1.5rem;
    --mb-4: 2rem;
}

:root {
    --z-tooltip: 10;
    --z-fixed: 100;
}

*, ::before, ::after {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: var(--header-height) 0 0 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    line-height: 1.6;
}

h1, h2, p {
    margin: 0;
}

ul { 
    margin: 0;
    padding: 0;
    list-style: none;
}

a {
    text-decoration: none;
    color: var(--dark-color)
}

img {
    max-width: 100%;
    height: auto;
}

.section {
    padding: 3rem 0;
}

.section-title {
    font-size: var(--h2-font-size);
    color: var(--dark-color);
    margin: var(--mb-4) 0 var(--mb-1);
    text-align: center;
}

.section-all {
    display: block;
    font-size: var(--small-font-size);
    font-weight: var(--font-semi);
    color: var(--dark-color-light);
    text-align: center;
    margin-bottom: var(--mb-2);
}

.bd-grid {
    max-width: 1024px;
    display: grid;
    grid-template-columns: 100%;
    grid-column-gap: 2rem;
    width: calc(100% - 3rem);
    margin-left: var(--mb-3);
    margin-right: var(--mb-3);
}

.debugger {
	position: absolute;
	left: 50%;
	top: 0;
}

* {
	margin: 0;
	box-sizing: border-box;
	font-family: "Open Sans", Arial, sans-serif;
}

.nav-wrapper {
	position: relative;
	width: 300px;
	height: 100vh;
	transition: transform 0.3s;
    transform: translateX(-100%);
    z-index: 10;
	
	&.show-menu {
		transform: none;
	}
}

.js-nav-toggle {
	position: absolute;
	top: 0;
	right: -60px;
	width: 43px;
	height: 40px;
	margin: 10px;
	display: block;
	float: left;
	padding: 0;
	color: #345;
	// border: 2px solid #345;
	z-index: 2;
	
	span {
		position: relative;
		background-color: #345;
		height: 2px;
		display: block;
		width: 22px;
		margin: 10px auto 0;
		transition: all 0.4s;
		transition-delay: 0.3s;
		
		&:before,
		&:after {
			content: '';
			position: absolute;
			display: block;
			width: 20px;
			height: 0;
			left: 1px;
			top: 50%;
			margin-top: -7px;
			transition: all 0.3s 0.3s;
		}
		
		&:before {
			box-shadow: 0 14px 0 1px #345;
		}
		
		&:after {
			box-shadow: 0 0 0 1px #345;
		}
		
		.show-menu & {
			background-color: transparent;
			
			&:before {
                transform: rotate(-45deg);
			}

			&:after {
				transform: rotate(45deg);
			}
			
			&:before,
			&:after {
				margin-top: 0;
    		    box-shadow: 0 0 0 1px #345;
			}
		}
	}
}

nav {
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	overflow-x: hidden;
	overflow-y: auto;
	box-shadow: 0 0 5px 1px #ddd;
	background-color: #fafafa;
	
	.nav-toggle {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		padding: 0.45em 0.6em;
		background-color:  #6943d0;
		color: #fff;
		z-index: 100;
		cursor: pointer;
		transition: backgroun-color 0.2s;
		
		&:hover {
			background-color: #8c67ef;
		}
		
		&.back-visible {
			
			.nav-back {
				opacity: 1;
			}
			
			.nav-title {
				transform: translateX(40px);
			}
		}
	}
	
	.nav-title {
		position: absolute;
		left: 0;
		top: 0.8em;
		padding-left: 0.7em;
		transition: transform 0.3s;
	}
	
	.nav-back {
		display: inline-block;
		position: relative;
		width: 30px;
		height: 30px;
		vertical-align: middle;
		z-index: 1;
		opacity: 0;
		transition: opacity 0.2s;
		
		&:before,
		&:after {
			content: '';
			position: absolute;
			top: 50%;
		}
		
		&:before {
			left: 50%;
			width: 9px;
			height: 9px;
			border: 2px solid currentcolor;
			border-right-color: transparent;
			border-bottom-color: transparent;
			transform: translate(-50%, -50%) rotateZ(-45deg);
		}
		
		&:after {
			left: 28%;
			width: 15px;
			height: 2px;
			background-color: currentcolor;
			margin-top: -1px;
		}
	}
	
	.nav-close {
		
	}
	
	a {
		display: block;
		position: relative;
		padding: 0.7em;
		border-bottom: 1px solid #eee;
		color: #999;
		text-decoration: none;
		transition: color 0.15s, background-color 0.15s;
		
		&:hover {
			color: #333;
			background-color: #efefef;
		}
	}
	
	ul {
		list-style: none;
		padding: 45px 0 0;
		transition: transform 0.3s;
		background-color: #fafafa;
    position: absolute;
		left: 0;
		top: 0;
		height: 100%;
    width: 100%;
		
		ul {
			display: none;
			left: 100%;
		}
	}
	
	li {
		
		&.has-dropdown {
			
			> a {
				padding-right: 2.5em;
				white-space: nowrap;
				text-overflow: ellipsis;
				overflow: hidden;
				
				&:after {
					content: '';
					position: absolute;
					top: 50%;
					right: 1em;
					width: 9px;
					height: 9px;
					border: 1px solid currentcolor;
					border-left-color: transparent;
					border-top-color: transparent;
					transform: translateY(-90%) rotateZ(-45deg);
					transition: transform 0.3s;
					transform-origin: 100%;
				}
			}
		}
		
		&.nav-dropdown-open {
			
			ul {
				display: block;
			}
		}
	}
}